Create Post
curl --request POST \
--url https://api.example.com/api/v1/linkedin/posts/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'text=<string>' \
--form 'connected_account_id=<string>' \
--form 'image=<string>' \
--form image.0='@example-file'import requests
url = "https://api.example.com/api/v1/linkedin/posts/"
files = { "image.0": ("example-file", open("example-file", "rb")) }
payload = {
"text": "<string>",
"connected_account_id": "<string>",
"image": "<string>"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('text', '<string>');
form.append('connected_account_id', '<string>');
form.append('image', '<string>');
form.append('image.0', '{
"fileName": "example-file"
}');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.example.com/api/v1/linkedin/posts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"connected_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"unipile_post_id": "<string>",
"social_id": "<string>",
"text": "<string>",
"share_url": "<string>",
"attachments": [],
"is_repost": false,
"author_name": "<string>",
"author_id": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"scheduled_at": "2023-11-07T05:31:56Z",
"retry_count": 0,
"last_error": "<string>",
"impressions": 0,
"reactions": 0,
"comments": 0,
"reposts": 0,
"metrics_updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}linkedin-content
Create Post
POST
/
api
/
v1
/
linkedin
/
posts
/
Create Post
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
multipart/form-data
Response
Successful Response
⌘I